Show Menu
THEMEN×

Aktualisierung auf AEM 6.5 Forms auf OSGi

Sie können direkt von AEM 6.3 Forms und AEM 6.4 Forms auf AEM 6.5 Forms aktualisieren.
Direct upgrade path from AEM 6.0 Forms, AEM 6.1 Forms , and AEM 6.2 Forms to AEM 6.5 Forms is not available. Perform an intermediate upgrade to AEM 6.2 Forms , upgrade to AEM 6.3 Forms , or upgrade to AEM 6.4 Forms and then upgrade from AEM 6.3 Forms, or AEM 6.4 Forms to AEM 6.5 Forms.
Führen Sie die folgenden Schritte aus, um von AEM 6.3 Forms oder AEM 6.4 Forms auf AEM 6.5 Forms zu aktualisieren:
  1. Aktualisieren Sie die bestehende AEM-Instanz auf AEM 6.5. Dies umfasst die folgenden Schritte:
    1. Installieren Sie das aktuelle Service Pack und Patches für AEM 6.3 Forms bzw. AEM 6.4 Forms. Weitere Informationen finden Sie unter AEM Sustenance Hub .
    2. Bereiten Sie die Quellinstanz für die Aktualisierung vor. Ausführliche Anweisungen finden Sie im Artikel Aktualisieren auf AEM 6.5 .
    3. Laden Sie AEM 6.5 QuickStart herunter.
    4. (Nur Unix/Linux-basierte Installationen) Wenn Sie UNIX oder Linux als Betriebssystem verwenden, öffnen Sie das Terminalfenster, um zu dem Ordner mit „crx-quickstart“ zu navigieren, und führen Sie den folgenden Befehl aus:
      chmod -R 755 ../crx-quickstart
    5. Upgrade your AEM instance to AEM 6.3. For step by step instructions, see Upgrading to AEM 6.5 .
      Bevor Sie mit den nächsten Schritten fortfahren, warten Sie, bis die Nachrichten ServiceEvent REGISTERED und ServiceEvent UNREGISTERED ServiceEvent nicht mehr in der Datei <crx-repository>/error.log angezeigt werden.
      Sobald der Server ausgeführt wird, bleiben einige AEM Forms-Pakete im Installationsstatus. Die Anzahl von Paketen kann für jede Installation variieren. Sie können den Zustand dieser Pakete ignorieren. The bundles are listed at https://' # : # '/system/console/.
  2. Installieren des AEM Forms-Add-on-Pakets. Dies umfasst die folgenden Schritte:
    1. Open Software Distribution . Sie benötigen eine Adobe ID, um sich bei der Softwareverteilung anzumelden.
    2. Tippen Sie auf Adobe Experience Manager , der im Kopfzeilenmenü verfügbar ist.
    3. In the Filters section:
      1. Wählen Sie Formulare aus der Dropdown-Liste Lösung .
      2. Wählen Sie die Version und den Typ für das Paket aus. Sie können die Ergebnisse auch mit der Option Downloads suchen filtern.
    4. Tippen Sie auf den Paketnamen, der auf Ihr Betriebssystem zutrifft, wählen Sie "Endbenutzer-Lizenzbedingungen akzeptieren&quot; und klicken Sie auf " Herunterladen ".
    5. Öffnen Sie Package Manager und klicken Sie auf Paket hochladen , um das Paket hochzuladen.
    6. Select the package and click Install .
      Sie können das Paket auch über den direkten Link herunterladen, der im Artikel AEM Forms-Versionen aufgeführt ist.
      Sobald das Paket installiert ist, werden Sie aufgefordert, die AEM-Instanz neu zu starten. Halten Sie den Server nicht sofort an. Warten Sie vor dem Anhalten des AEM Forms-Servers, bis die Meldungen „ServiceEvent REGISTERED“ und „ServiceEvent UNREGISTERED“ nicht mehr in der Datei „<crx-Repository>/error.log“ angezeigt werden und das Protokoll stabil ist. Beachten Sie zudem, dass einige Pakete im installierten Zustand verbleiben können. Sie können den Status dieser Pakete ignorieren.
  3. Starten Sie die AEM-Instanz neu.
  4. Führen Sie auf die Installation folgenden Aufgaben durch.
    • Migrationsdienstprogramm ausführen
      Das Migrationsdienstprogramm macht die adaptiven Formulare und Correspondence Management-Assets aus früheren Versionen kompatibel mit AEM 6.5 Forms. Sie können das Dienstprogramm von der AEM-Softwareverteilung herunterladen. Informationen in Einzelschritten zur Konfiguration und Verwendung des Migrationsdienstprogramms finden Sie in der Dokumentation zum Migrationsdienstprogramm .
      Wenn Sie Beispiel zur Integrierung der Komponente für Entwurf und Übermittlung mit der Datenbank verwenden und von einer früheren Version aktualisieren, führen Sie nach der Aktualisierung die folgenden SQL-Abfragen aus:
      UPDATE metadata m, additionalmetadatatable am
      SET m.dataType = am.value
      WHERE m.id = am.id
      AND am.key = 'dataType'
      
      
      DELETE from additionalmetadatatable
      WHERE `key` = 'dataType'
      
      
    • (Nur bei Aktualisierung von AEM 6.2 Forms oder früheren Versionen) Adobe Sign neu konfigurieren
      Wenn Adobe Sign in der vorherigen Version von AEM Forms konfiguriert war, müssen Sie Adobe Sign über die AEM-Cloud-Services erneut konfigurieren. Weitere Informationen finden Sie unter Adobe-Zeichen mit AEM Forms integrieren .
    • Unterstützung für jQuery
      In AEM 6.5 Forms wird die Version von jQuery auf 3.2.1 aktualisiert und die jQuery UI-Version auf 1.12.1 aktualisiert. AEM Form verwendet JQuery im Modus "Keine Konflikte ". Wenn Sie also eine andere jQuery-Version verwenden, werden während der Aktualisierung keine Probleme angezeigt. Wenn Sie jedoch auf AEM 6.5 Forms aktualisieren:
      • Stellen Sie sicher, dass Ihre benutzerdefinierten Komponenten, falls vorhanden, mit unterstützten jQuery-Versionen kompatibel sind.
      • Entfernen Sie nicht unterstützte APIs aus den benutzerdefinierten Komponenten. Informationen zur Liste entfernter APIs finden Sie im Aktualisierungshandbuch . Beispielsweise wird die Unterstützung für die APIs load(), .unload() und .error() entfernt. Verwenden Sie die Methode .on() anstelle der oben genannten APIs. Ändern Sie beispielsweise $("img").load(fn) in $("img").on("load", fn).
    • (Nur wenn Sie von AEM 6.2 Forms oder früheren Versionen aktualisieren) Konfigurieren Sie Analysen und Berichte neu
      In AEM 6.4 Forms stehen keine Traffic-Variablen für Quelle und Erfolgsereignis für Impressionen zur Verfügung. Wenn Sie von AEM 6.2 Forms oder vorherigen Versionen aktualisieren, sendet AEM Forms daher keine Daten mehr an den Adobe Analytics-Server und es stehen keine Analyseberichte für adaptive Formulare zur Verfügung. Darüber hinaus werden mit AEM 6.4 Forms Traffic-Variablen für die Version der Formularanalyse und das Erfolgsereignis mit Angabe der Dauer der Aktivität in einem Feld eingeführt. Konfigurieren Sie daher die Analysen und Berichte erneut für Ihre AEM Forms-Umgebung. Ausführliche Anweisungen finden Sie unter Konfigurieren von Analyse und Berichten .
  5. Vergewissern Sie sich, dass der Server erfolgreich aktualisiert und alle Daten migriert wurden und dass der Server einwandfrei funktioniert.
    • Überprüfen Sie den Status der Pakete: Stellen Sie sicher, dass alle Pakete sich im aktiven Status befinden.
    • Überprüfen Sie Replikation und Rückwärtsreplikation: Veröffentlichen Sie einige migrierte Formulare, füllen Sie sie aus und übermitteln Sie sie. Überprüfen Sie auch die gesendeten Daten.
    • Überprüfen Sie den Zugriff auf die Administrator- und Benutzeroberflächen: Melden Sie sich über ein Administratorkonto bei der AEM-Instanz an und überprüfen Sie, ob Sie Zugriff auf die folgenden URLs haben:
      • https://'[server]:[port]'/crx/packmgr
      • https://'[server]:[port]'/crx/de
      • https://'[server]:[port]'/aem/forms.html/content/dam/formsanddocuments
    In AEM 6.4 Forms hat sich die Struktur des crx-Repository geändert. Wenn Sie von 6.3 Forms auf AEM 6.5 Forms aktualisieren, verwenden Sie die geänderten Pfade zur Anpassung, die Sie neu erstellen. Sie finden die vollständige Liste der geänderten Pfade unter Forms Repository-Restrukturierung in AEM .